
Redmine - Defect #19336

SCM url cannot change if repository is not empty

2015-03-11 03:56 - xuchun sang

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 2.6.0

Description

svn url error target

Redmine 2.6.0 Feign death，Redmine can't enter.

Environment:

Redmine version                2.6.0.stable

Ruby version                   2.0.0-p481 (2014-05-08) [i386-mingw32]

Rails version                  3.2.19

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.8.8

Git                            1.9.0

Filesystem

Redmine plugins:

projects_treeview              0.0.3-78

History

#1 - 2015-03-11 04:48 - Toshi MARUYAMA

- Category set to SCM

Please describe more details.

URL character restriction is design.

source:tags/2.6.2/app/models/repository.rb#L44

#2 - 2015-03-11 04:50 - Toshi MARUYAMA

- Status changed from New to Needs feedback

#3 - 2015-03-11 05:59 - xuchun sang

I changed the original server, SVN address points to the old server，click Repository web page feign death。

After a period of time

Proxy Error

The proxy server received an invalid response from an upstream server.

The proxy server could not handle the request GET /redmine/projects/XXXXXX/repository.

Reason: Error reading from remote server

----------------------------------------

And then refresh the page can not login

restart all server，Restart all the services restored

#4 - 2015-03-11 06:25 - Toshi MARUYAMA

- Priority changed from High to Normal

Because Redmine does not allow to change URL on non empty repository,

2025-05-17 1/3

https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.6.2/app/models/repository.rb#L44


you need to change URL on database by hand.

"url" and "root_url" fields of "repositories" table.

#5 - 2015-03-11 06:50 - xuchun sang

"url" and "root_url" fields of "repositories" table.

table is mysql' ?  I is can't finded.

#6 - 2015-03-11 07:07 - Toshi MARUYAMA

- Priority changed from Normal to Low

xuchun sang wrote:

table is mysql' ?

 Yes.

#7 - 2015-03-11 07:26 - xuchun sang

I can modify url root_url.

right url is no issue.

but if project member input error url，The above error will Exist。

so issue is no resolved。

tks ！

#8 - 2015-03-11 08:48 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Please use forum for technical questions.

We cannot support individual environments.

#9 - 2015-03-11 09:28 - xuchun sang

- Status changed from Closed to Reopened

Sorry， I think this is a big bug！！

#10 - 2015-03-11 09:52 - Toshi MARUYAMA

- Subject changed from svn url error, Redmine 2.6.0 Feign death to SCM url cannot change if repository is not empty

- Status changed from Reopened to Closed

- Resolution changed from Invalid to Wont fix

"SCM url cannot change if repository is not empty" is design.

Redmine does not store Subversion UUID.

There is a few benefit in spite of many works.

#11 - 2015-03-11 10:23 - xuchun sang

Toshi MARUYAMA wrote:

"SCM url cannot change if repository is not empty" is design.

Redmine does not store Subversion UUID.

There is a few benefit in spite of many works.

 error svn url can set forbidden or limit modify。

Svn url error，redmine need show message to users,Allow the user to disable error repository。

but My issue :Redmine dead.
#12 - 2015-03-11 13:21 - xuchun sang

- Status changed from Closed to Reopened

Dear Sir：

You understand the error, SVN URL error cause the server to crash,

I have to restart the service to enter the redmine, so this is bug. 

Please re evaluate this problem. Tks!

#13 - 2015-03-11 13:33 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Again, we cannot support individual environments.

I don't know why you changed Subversion URL.

If you changed Subversion URL, you need to change all subversion client which checked out old repository.

In this case, you should use DNS.

#14 - 2015-03-11 14:03 - xuchun sang

production.log

Output was:

 <?xml version="1.0" encoding="UTF-8"?>

<lists>

<list

   path="http://192.168.88.76:8443/svn/XXXX">

  Rendered common/error.html.erb within layouts/base (0.0ms)

Completed 500 Internal Server Error in 781015.4ms

 When we add the SVN repository, we inevitably input error condition, when the input error, after storage, the server will stop, everyone can not login

redmine。

admin add svn repository is normal work，The server stop is not allowed。

#15 - 2015-03-12 06:18 - xuchun sang

Resolved :

svn url Form Http:// change file:/// all ok.

tks!
